This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 436114 - Review Request: xdvipdfmx - An extended version of DVIPDFMx with support for XeTeX output
Review Request: xdvipdfmx - An extended version of DVIPDFMx with support for ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 09:22 EST by Neal Becker
Modified: 2008-03-07 19:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 19:22:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2008-03-05 09:22:53 EST
Spec URL: http://nbecker.dyndns.org:8080/RPM/xdvipdfmx.spec
SRPM URL: http://nbecker.dyndns.org:8080/RPM/xdvipdfmx-0.4-1.src.rpm
Description: 
xdvipdfmx is an output driver for the XeTeX typesetting system.
It is an extended version of DVIPDFMx by Jin-Hwan Cho and Shunsaku Hirata,
which is itself an extended version of dvipdfm by Mark A. Wicks.
This driver converts XDV (extended DVI) output from the xetex program
into standard PDF that can be viewed or printed.

rpmlint OK
mock: building on f9 now.  For f7/f8, what is used to BR kpathsea-devel?
Comment 1 Patrice Dumas 2008-03-05 09:43:18 EST
kpathsea static lib is in tetex-fonts in F7/F8. But I am 
not sure that it is worth shipping xdvipdfmx for F7/F8 since
there is no xetex/xelatex in tetex. It is already in the 
texlive for F8 from Jindrich. So in my opinion it should only be
in devel.
Comment 2 Neal Becker 2008-03-05 09:52:38 EST
mock build F9 OK
Comment 3 Patrice Dumas 2008-03-06 04:58:54 EST
The Vendor tag should be dropped.

The requires tetex should better be tex(tex).

The Requires fontconfig should be dropped, it is autodetected.

A BuildRequires libpaper-devel is missing.

Missing something along:
%doc README AUTHORS BUGS COPYING TODO doc/tug2003.pdf index.html *.css

The data files and configuration is taken from dvipdfmx, therefore
a Requires: dvipdfmx is missing.
Comment 4 Neal Becker 2008-03-06 08:00:11 EST
All above fixed.
rpmlint silent
mock build (f9) passed

http://nbecker.dyndns.org:8080/RPM/xdvipdfmx.spec
http://nbecker.dyndns.org:8080/RPM/xdvipdfmx-0.4-2.src.rpm
Comment 5 Patrice Dumas 2008-03-06 14:55:26 EST
There is a typo, the Requires is tex(tex) not te(tex).

I think that it would be nice to have a comment for the 
dvipdfmx requires.

Also I think that there should be a %dist tag.

The source archive timestamp cannot be kept looks like it changes at
each download. The source match:
2bb9d65f2406a112fa53dbd0697d93ad  xdvipdfmx-0.4.tar.gz

If the typo is fixed, and the %dist tag is added, it is APPROVED.

I can be co-maintainer and I think that Jindrich and Jonathan
should also be co-maintainer (if they agree to).
Comment 6 Neal Becker 2008-03-06 18:33:14 EST
All above addressed:
http://nbecker.dyndns.org:8080/RPM/xdvipdfmx-0.4-3.src.rpm
Comment 7 Neal Becker 2008-03-06 18:39:35 EST
New Package CVS Request
=======================
Package Name: xdvipdfmx
Short Description: An extended version of DVIPDFMx with support for XeTeX 
output
Owners: nbecker, pertusus
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 8 Neal Becker 2008-03-06 18:40:21 EST
Not sure how to setup co-maintainer, did I do this correctly?
Comment 9 Kevin Fenzi 2008-03-06 19:25:36 EST
yes. 

cvs done. 
Comment 10 Jonathan Underwood 2008-03-07 19:12:56 EST
Sorry, I totally missed this review BZ. Anyway, I'll request co-maintainership
in pkgdb.
Comment 11 Jonathan Underwood 2008-03-07 19:21:12 EST
Neal - since you've imported and built this package for Rawhide you should close
this bug as NEXTRELEASE.

Comment 12 Neal Becker 2008-03-07 19:22:52 EST
I don't plan to release for F7 and F8 for now, since requirements (texlive) 
are not in place.

Note You need to log in before you can comment on or make changes to this bug.